@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM 
@REM  Licensed Materials - Property of IBM
@REM  5725-C94, 5725-C95, 5725-C96
@REM  (C) Copyright IBM Corporation 2013. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM *************************************************************************
@REM END COPYRIGHT

@echo off
setlocal

SET CUR_DIR=%cd%
cd /d "%~dp0.."
SET WAS_HOME=%cd%
cd /d %WAS_HOME%

SET JAVA_HOME=%WAS_HOME%\java

set LOGGING_PROPS=-Djava.util.logging.config.file="%WAS_HOME%\util\migration\resources\logging.properties"
set SSL_PROPS=-Dcom.ibm.SSL.ConfigURL="file:///%WAS_HOME%/util/migration/resources/ssl.client.props"
set SOAP_CLIENT_PROPS=-Dcom.ibm.SOAP.ConfigURL="file:///%WAS_HOME%/util/migration/resources/soap.client.props"
set LOGGING_FILTER_PROP="-Dcom.ibm.bpm.migration.logging.StringFilter.excludes=equals(WSVR0072W);equals(WSVR0801I);equals(WKSP0500);equals(CWWMH0110E);equals(ADMC0046W);equals(SIB_MESSAGE);equals(SOME_FUTURE_MESSAGES_SUPPRESSED_CWSIU0005);equals(chain.started);contains(tmx4jTransform.jar)"

set COMMAND_NAME_PROPS=-Dmig.command.name=%~n0

:Loop
IF "%1" == "" GOTO Ahead
IF "%1" == "-backupFolder" (
	SET SNAPSHOT_ROOT=%~2
	GOTO Forward
)
:Forward
shift /1
shift /1
GOTO Loop
:Ahead

set SNAPSHOT_ROOT=%SNAPSHOT_ROOT:\=/%

set SNAPSHOT_ROOT_PROPS=-Dmig.snapshot.root="%SNAPSHOT_ROOT%"

SET ENABLE_DEBUG=false
IF %ENABLE_DEBUG% == true (
	SET DEBUG_PROP="-agentlib:jdwp=transport=dt_socket,server=y,suspend=y,address=9999"   
)ELSE (
	SET DEBUG_PROP=
)

set PARAM=%*
set PARAM=%PARAM:\=/%

"%JAVA_HOME%\bin\java" %DEBUG_PROP% %COMMAND_NAME_PROPS% %LOGGING_FILTER_PROP% %SNAPSHOT_ROOT_PROPS% %SSL_PROPS% %SOAP_CLIENT_PROPS% %LOGGING_PROPS% -Dwas.install.root="%WAS_HOME%" -classpath "%WAS_HOME%\plugins\com.ibm.bpm.config.jar;%WAS_HOME%\BPM\Lombardi\lib\jdom.jar;%WAS_CLASSPATH%;%WAS_HOME%\plugins\*;%WAS_HOME%\lib\*" com.ibm.bpm.migration.BPMMigration -migrate %PARAM%

set RC=%ERRORLEVEL%

endlocal
